scala.tools.nsc.ast.Printers

# TreePrinter

###
Related Doc: package Printers

#### class TreePrinter extends Global.TreePrinter

Source
  Printers.scala

Linear Supertypes
Global.TreePrinter, Global.TreePrinter, AnyRef, Any
Known Subclasses
CompactTreePrinter
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TreePrinter
2. TreePrinter
3. TreePrinter
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TreePrinter(out: PrintWriter)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Global.TreePrinter to any2stringadd[Global.TreePrinter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Global.TreePrinter, B)

   Implicit information
     This member is added by an implicit conversion from Global.TreePrinter to ArrowAssoc[Global.TreePrinter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

7. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
   Note

     not specified by SLS as a member of AnyRef

8. #### def comment(body: ⇒ Unit): Unit

   Attributes
     protected
   Definition Classes
     TreePrinter

9. #### val commentsRequired: Boolean

   Attributes
     protected
   Definition Classes
     TreePrinter

10. #### def ensuring(cond: (Global.TreePrinter) ⇒ Boolean, msg: ⇒ Any): Global.TreePrinter

    Implicit information
      This member is added by an implicit conversion from Global.TreePrinter to Ensuring[Global.TreePrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (Global.TreePrinter) ⇒ Boolean): Global.TreePrinter

    Implicit information
      This member is added by an implicit conversion from Global.TreePrinter to Ensuring[Global.TreePrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): Global.TreePrinter

    Implicit information
      This member is added by an implicit conversion from Global.TreePrinter to Ensuring[Global.TreePrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): Global.TreePrinter

    Implicit information
      This member is added by an implicit conversion from Global.TreePrinter to Ensuring[Global.TreePrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Global.TreePrinter to StringFormat[Global.TreePrinter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

19. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

20. #### def indent(): Unit

    Definition Classes
      TreePrinter

21. #### var indentMargin: Int

    Attributes
      protected
    Definition Classes
      TreePrinter

22. #### val indentStep: Int

    Attributes
      protected
    Definition Classes
      TreePrinter

23. #### var indentString: String

    Attributes
      protected
    Definition Classes
      TreePrinter

24. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

27. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

28. #### def parenthesize(condition: Boolean, open: String, close: String)(body: ⇒ Unit): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

29. #### def print(args: Any*): Unit

    Definition Classes
      TreePrinter → TreePrinter → TreePrinter

30. #### def printAnnotations(tree: Global.MemberDef): Unit

    Definition Classes
      TreePrinter

31. #### def printBlock(stats: List[Global.Tree], expr: Global.Tree): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

32. #### def printBlock(tree: Global.Tree): Unit

    Definition Classes
      TreePrinter

33. #### def printCaseDef(tree: Global.CaseDef): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

34. #### def printColumn(ts: List[Global.Tree], start: String, sep: String, end: String): Unit

    Definition Classes
      TreePrinter

35. #### def printDefDef(tree: Global.DefDef, resultName: ⇒ String)(printTypeSignature: ⇒ Unit)(printRhs: ⇒ Unit): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

36. #### def printFlags(flags: Long, privateWithin: String): Unit

    Definition Classes
      TreePrinter

37. #### def printFunction(tree: Global.Function)(printValueParams: ⇒ Unit): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

38. #### var printIds: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

39. #### def printImplicitInParamsList(vds: List[Global.ValDef]): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

40. #### def printImport(tree: Global.Import, resSelect: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

41. #### var printKinds: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

42. #### def printLabelParam(p: Global.Ident): Unit

    Definition Classes
      TreePrinter

43. #### def printLabelParams(ps: List[Global.Ident]): Unit

    Definition Classes
      TreePrinter

44. #### var printMirrors: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

45. #### def printModifiers(tree: Global.Tree, mods: Global.Modifiers): Unit

    Definition Classes
      TreePrinter

46. #### def printOpt(prefix: String, tree: Global.Tree): Unit

    Definition Classes
      TreePrinter

47. #### var printOwners: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

48. #### def printPackageDef(tree: Global.PackageDef, separator: String): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

49. #### def printParam(tree: Global.Tree): Unit

    Definition Classes
      TreePrinter

50. #### def printPosition(tree: Global.Tree): Unit

    Definition Classes
      TreePrinter

51. #### var printPositions: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

52. #### def printRow(ts: List[Global.Tree], sep: String): Unit

    Definition Classes
      TreePrinter

53. #### def printRow(ts: List[Global.Tree], start: String, sep: String, end: String): Unit

    Definition Classes
      TreePrinter

54. #### def printSeq[a](ls: List[a])(printelem: (a) ⇒ Unit)(printsep: ⇒ Unit): Unit

    Definition Classes
      TreePrinter

55. #### def printSuper(tree: Global.Super, resultName: ⇒ String, checkSymbol: Boolean): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

56. #### def printThis(tree: Global.This, resultName: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

57. #### def printTree(tree: Global.Tree): Unit

    Definition Classes
      TreePrinter

58. #### def printTypeDef(tree: Global.TypeDef, resultName: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

59. #### def printTypeParams(ts: List[Global.TypeDef]): Unit

    Definition Classes
      TreePrinter

60. #### var printTypes: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

61. #### def printTypesInfo(tree: Global.Tree): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

62. #### def printValDef(tree: Global.ValDef, resultName: ⇒ String)(printTypeSignature: ⇒ Unit)(printRhs: ⇒ Unit): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

63. #### def printValueParams(ts: List[Global.ValDef], inParentheses: Boolean): Unit

    Definition Classes
      TreePrinter

64. #### def println(): Unit

    Definition Classes
      TreePrinter

65. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

66. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

67. #### def undent(): Unit

    Definition Classes
      TreePrinter

68. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

69. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

70. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

71. #### def withIds: TreePrinter.this.type

    Definition Classes
      TreePrinter

72. #### def withKinds: TreePrinter.this.type

    Definition Classes
      TreePrinter

73. #### def withMirrors: TreePrinter.this.type

    Definition Classes
      TreePrinter

74. #### def withOwners: TreePrinter.this.type

    Definition Classes
      TreePrinter

75. #### def withPositions: TreePrinter.this.type

    Definition Classes
      TreePrinter

76. #### def withTypes: TreePrinter.this.type

    Definition Classes
      TreePrinter

77. #### def withoutIds: TreePrinter.this.type

    Definition Classes
      TreePrinter

78. #### def withoutKinds: TreePrinter.this.type

    Definition Classes
      TreePrinter

79. #### def withoutMirrors: TreePrinter.this.type

    Definition Classes
      TreePrinter

80. #### def withoutOwners: TreePrinter.this.type

    Definition Classes
      TreePrinter

81. #### def withoutPositions: TreePrinter.this.type

    Definition Classes
      TreePrinter

82. #### def withoutTypes: TreePrinter.this.type

    Definition Classes
      TreePrinter

83. #### def →[B](y: B): (Global.TreePrinter, B)

    Implicit information
      This member is added by an implicit conversion from Global.TreePrinter to ArrowAssoc[Global.TreePrinter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Global.TreePrinter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Global.TreePrinter to any2stringadd[Global.TreePrinter]

### Inherited by implicit conversion StringFormat from Global.TreePrinter to StringFormat[Global.TreePrinter]

### Inherited by implicit conversion Ensuring from Global.TreePrinter to Ensuring[Global.TreePrinter]

### Inherited by implicit conversion ArrowAssoc from Global.TreePrinter to ArrowAssoc[Global.TreePrinter]

### Ungrouped